/* Kommentare in JavaScript werden anders eingeleitet und beendet als in HTML */
var intervalTime=5;
var fileName='data.json';

window.onload = function() {
    start_weather();
}

function weather_show(param) {
    var elem=document.getElementById('weatherdata');
    elem.innerHTML="<b>"+ param.time+"</b>";
    elem.innerHTML+="<br>";
    elem.innerHTML+="<br>Temp: "+ param.temperature_C+" °C";
    elem.innerHTML+="<br>Feucht: "+ param.humidity+" %";
    elem.innerHTML+="<br>Wind: "+ param.wind_dir_deg+" °";
}

function weather_fetch(param) {
    console.log('Hole: "'+param+'"');
    fetch(param)
      .then(response => response.json())
      .then(data => weather_show(data));
}

function start_weather() {
    weather_fetch(fileName+'?utime='+Date.now());
    setTimeout(start_weather, intervalTime*1000);
}